Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685441 - Unescaped left brace in regex is deprecated
Summary: Unescaped left brace in regex is deprecated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abi-dumper
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/lvc/abi-dumper/iss...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 08:43 UTC by Petr Pisar
Modified: 2019-03-29 19:14 UTC (History)
2 users (show)

Fixed In Version: abi-dumper-1.1-7.fc28.1 abi-dumper-1.1-7.fc29.1 abi-dumper-1.1-7.el7.1 abi-dumper-1.1-7.fc30.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-20 21:17:31 UTC


Attachments (Terms of Use)

Description Petr Pisar 2019-03-05 08:43:37 UTC
/usr/bin/abi-dumper contains a Perl expression that will stop working in Perl 5.30 (late May 2019):

$ abi-dumper --help >/dev/null
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.30), passed through in regex; marked by <-- HERE in m/(\w){ <-- HERE / at /usr/bin/abi-dumper line 3200.

You need to apply this fix:

--- /usr/bin/abi-dumper 2019-01-31 13:54:11.000000000 +0100
+++ abi-dumper  2019-03-05 09:39:06.432000000 +0100
@@ -3197,7 +3197,7 @@
     
     if(defined $LambdaSupport)
     { # struct {lambda()}
-        $N=~s/(\w){/$1 {/g;
+        $N=~s/(\w)\{/$1 {/g;
     }
     
     return ($Cache{"formatName"}{$_[1]}{$_[0]} = $N);

abi-dumper-1.1-6.fc30.noarch is affected.

Comment 1 Richard Shaw 2019-03-06 14:56:31 UTC
Bug submitted upstream. He's usually pretty fast so it should get fixed before May.

Comment 2 Richard Shaw 2019-03-11 14:08:57 UTC
Does this need to be built on f30 as well to stop the warning?

Comment 3 Petr Pisar 2019-03-11 14:20:28 UTC
Yes, fixing it in older Fedoras will prevent from showing the warning. I believe that the warning shows since Perl 5.26. That means since Fedora 27.

Comment 4 Fedora Update System 2019-03-11 16:12:03 UTC
abi-dumper-1.1-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ce4097c41

Comment 5 Fedora Update System 2019-03-11 16:12:27 UTC
abi-dumper-1.1-7.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e1c73a2485

Comment 6 Fedora Update System 2019-03-11 16:12:43 UTC
abi-dumper-1.1-7.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-30efa979e4

Comment 7 Fedora Update System 2019-03-11 16:12:55 UTC
abi-dumper-1.1-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-38bd116382

Comment 8 Fedora Update System 2019-03-11 20:01:16 UTC
abi-dumper-1.1-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ce4097c41

Comment 9 Fedora Update System 2019-03-11 20:49:05 UTC
abi-dumper-1.1-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-30efa979e4

Comment 10 Fedora Update System 2019-03-11 22:26:23 UTC
abi-dumper-1.1-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-38bd116382

Comment 11 Petr Pisar 2019-03-12 08:47:51 UTC
None of builds fix it. You added the patch, but forgot to apply it.

Comment 12 Richard Shaw 2019-03-12 13:01:36 UTC
Whoops, I've been moving everything over to %autosetup but missed this one. Will be rebuilding shortly.

Comment 13 Fedora Update System 2019-03-12 13:45:43 UTC
abi-dumper-1.1-7.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e8b2cf956f

Comment 14 Fedora Update System 2019-03-12 13:45:46 UTC
abi-dumper-1.1-7.fc30.1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-389693aa7c

Comment 15 Fedora Update System 2019-03-12 13:45:52 UTC
abi-dumper-1.1-7.fc28.1 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-71cc7ab784

Comment 16 Fedora Update System 2019-03-12 13:46:00 UTC
abi-dumper-1.1-7.fc29.1 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ad047e1af3

Comment 17 Fedora Update System 2019-03-12 16:09:08 UTC
abi-dumper-1.1-7.fc30.1 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-389693aa7c

Comment 18 Fedora Update System 2019-03-12 22:42:42 UTC
abi-dumper-1.1-7.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e8b2cf956f

Comment 19 Fedora Update System 2019-03-12 22:59:40 UTC
abi-dumper-1.1-7.fc28.1 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-71cc7ab784

Comment 20 Fedora Update System 2019-03-12 23:41:10 UTC
abi-dumper-1.1-7.fc29.1 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ad047e1af3

Comment 21 Fedora Update System 2019-03-20 21:17:31 UTC
abi-dumper-1.1-7.fc28.1 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-03-20 22:12:58 UTC
abi-dumper-1.1-7.fc29.1 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-03-21 14:40:36 UTC
abi-dumper-1.1-7.fc29.1 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2019-03-27 05:37:23 UTC
abi-dumper-1.1-7.el7.1 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-03-29 19:14:02 UTC
abi-dumper-1.1-7.fc30.1 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.